Skip to main content
GET
/
checkout_links
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.checkoutLinks.list({});

  console.log(result);
}

run();
curl --request GET \
--url https://api.crevio.co/v1/checkout_links \
--header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/checkout_links"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/checkout_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "name": "<string>",
      "success_url": "<string>",
      "allow_discount_codes": true,
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "url": "<string>",
      "discount": "<string>",
      "price_variants": [
        {
          "id": "<string>",
          "object": "<string>",
          "name": "<string>",
          "amount": 123,
          "interval_count": 123,
          "installment_count": 123,
          "setup_fee_amount": 123,
          "trial_period_days": 123,
          "revoke_after_days": 123,
          "quantity_available": 123,
          "archived": true,
          "position": 123,
          "hidden": true,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "currency": "<string>",
          "discounted_from_amount": 123,
          "minimum_amount": 123,
          "maximum_amount": 123,
          "preset_amount": 123,
          "waitlist": true,
          "purchase_url": "<string>",
          "product": "<string>",
          "benefits": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "has_more": true,
  "url": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}
{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

expand
string

Comma-separated relations to expand: discount, price_variants

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of checkout links

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required